Win a copy of Design for the Mind this week in the Design forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

java 1.7.51 update issue.

 
mohammad shadab
Ranch Hand
Posts: 44
Eclipse IDE Oracle
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hiiiii,
I am feeling wonder after java 1.7.51 update.my system contains java 1.7.45 and my browser also having java plug in with 1.7.45 update.but whenever an applet is coming for execution my browser showing error regarding my jars it is showing that it can not ensure wether this jar(jar containing applets) revoked by authority or not.i did not update any thing in my system then how is it showing this error???please help me to know this problem.
Thank You.
 
Abhay Agarwal
Ranch Hand
Posts: 1376
Eclipse IDE Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I did ran into issue when I used Java applet in Java 7 Update 45 eniv.
Please post exact error that you are getting (may be a screenshot also).
 
Campbell Ritchie
Sheriff
Posts: 48652
56
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
No, not a screenshot.
 
Jesper de Jong
Java Cowboy
Saloon Keeper
Posts: 15216
36
Android IntelliJ IDE Java Scala Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Maybe it has to do with this: New security requirements for RIAs in 7u51 (January 2014)

Java 7 update 51 (January, 2014) intends to include two security changes designed to enhance authentication and authorization for Rich Internet Applications (Applets and Web Start). The default security slider is being updated in a way that will block RIAs that do not adhere to these requirements. Note: this only applies to RIAs, and not to Java on server or desktop applications run outside of a browser.

Summary:
You are required to sign all RIAs (Applets and Web Start applications).
You are required to set the "Permissions" attribute within the Manifest.
Your application will be affected if it uses Java started through a web browser. Your application will not be affected if it runs anywhere outside of a web browser.

Read the page carefully, as you can see you will need to do some extra things because of more strict security rules for applets.
 
mohammad shadab
Ranch Hand
Posts: 44
Eclipse IDE Oracle
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thank you to all for you replies but i am still confused.i want to ask that my system has old java(java 7_45) and my browser also has old java plug in(java 7_45) .i did not update any thing.and i signed my jars with godaddy authority .every thing was working fine.suddenly java released 7_51 update and i strated to get warning alerts regarding my jars(applet jar).i am confused,because every thing is as previous then how can it effect execution without updating any thing???
 
Abhay Agarwal
Ranch Hand
Posts: 1376
Eclipse IDE Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
What are the contents of that JAR file ? Specifically contents within META-INF after you have signed the JAR?
 
mohammad shadab
Ranch Hand
Posts: 44
Eclipse IDE Oracle
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thank you for response,
my jars contains the applet code .my question is that why error is coming ,bceause i didi not change my java and browser plug in??? my jars were working fine but aftre coming java 1.7.51 update error is coming.i can not understand why is it coming ???
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic